from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComHpAssrt(UltmarcTable):
    """レイアウト区分002: 病院種別"""
    hp_assrt_cd: str          # 病院種別コード
    hp_assrt_name: str        # 病院種別名
    maint_flag: str           # 修正区分

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.hp_assrt_cd = record[1]
        self.maint_flag = record[2]
        self.hp_assrt_name = record[5]
